# texbox

## Build

Build the container. This may take some seconds, as `tex-full` is rather huge.

`sudo docker build . -t "texbox"`

## Run

`cd` into the current directory and replace `<filename.tex>` with your TeX filename.
Then run the following command:

`sudo docker run -v "$(pwd)":/tex -e TARGET=<filename.tex> texbox`

### alias

Insert this alias into your `.bashrc`, `.zshrc`, or any corresponding file in order to simply build `.tex` files using the `latexbuild <filename.tex>` command:

`alias "latexbuild"='function _latexbuild(){sudo docker run -v "$(pwd)":/tex -e TARGET="$1" texbox;};_latexbuild'
`
